using System;

namespace Vage
{
    class Program
    {
        struct Vaga
        {
            public int minTezina;
            public int maxTezina;
        }

        struct Pitanje
        {
            public int prviIndex;
            public int drugiIndex;
            public int trazenaKilaza;
        }

        static int OdgovoriNaPitanje(Pitanje pitanje, Vaga[] vage)
        {
            int odgovoraNaPitanje = 0;
            for(int i = pitanje.prviIndex; i <= pitanje.drugiIndex; i++)
            {
                if(pitanje.trazenaKilaza>= vage[i].minTezina && pitanje.trazenaKilaza <= vage[i].maxTezina)
                {
                    odgovoraNaPitanje++;
                }
            }
            return odgovoraNaPitanje;
        }

        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split();

            int n = int.Parse(input[0]);
            int m = int.Parse(input[1]);

            Vaga[] vage = new Vaga[n];
            Pitanje[] pitanja = new Pitanje[m];

            for(int i = 0; i < n; i++)
            {
                input = Console.ReadLine().Split();
                vage[i].minTezina = int.Parse(input[0]);
                vage[i].maxTezina = int.Parse(input[1]);
            }
            for(int i = 0; i < m; i++)
            {
                input = Console.ReadLine().Split();
                pitanja[i].prviIndex = int.Parse(input[0]) - 1;
                pitanja[i].drugiIndex = int.Parse(input[1]) - 1;
                pitanja[i].trazenaKilaza = int.Parse(input[2]);
            }
            for(int i = 0; i < m; i++)
            {
                Console.WriteLine(OdgovoriNaPitanje(pitanja[i], vage));
            }
        }
    }
}